petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNGSGetSweeps

Gets the number of sweeps GS will use.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGSGetSweeps(SNES snes, PetscInt * sweeps)

### Input Parameters

snes -the SNES context

### Output Parameters

sweeps -the number of sweeps of GS to perform.

### Keywords

SNES, nonlinear, set, Gauss-Siedel

### See Also

SNESSetNGS(), SNESGetNGS(), SNESSetPC(), SNESNGSSetSweeps()

### Level

intermediate

### Location

src/snes/impls/gs/snesgs.c

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages